Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_mark_s Struct Reference
Basic Types

The pointer position. More...

`#include <yaml.h>`

## Data Fields
size_t | index
| The position index. More...
size_t | line
| The position line. More...
size_t | column
| The position column. More...

## Detailed Description

The pointer position.

Definition at line 145 of file yaml.h.

## Field Documentation

size_t yaml_mark_s::column

The position column.

Definition at line 153 of file yaml.h.

Referenced by make_exception(), mark(), yaml_parser_fetch_block_entry(), yaml_parser_fetch_key(), yaml_parser_fetch_next_token(), yaml_parser_fetch_stream_end(), yaml_parser_fetch_value(), yaml_parser_save_simple_key(), yaml_parser_scan_block_scalar(), yaml_parser_scan_block_scalar_breaks(), yaml_parser_scan_flow_scalar(), yaml_parser_scan_plain_scalar(), and yaml_parser_scan_to_next_token().

size_t yaml_mark_s::index

The position index.

Definition at line 147 of file yaml.h.

Referenced by mark(), and yaml_parser_stale_simple_keys().

size_t yaml_mark_s::line

The position line.

Definition at line 150 of file yaml.h.

Referenced by make_exception(), mark(), yaml_parser_fetch_stream_end(), and yaml_parser_stale_simple_keys().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h